@echo off

echo.
echo Assembling Source Files
echo.

\masm32\bin\ml /nologo /c CEQUIV.ASM
if errorlevel 1 goto errl
\masm32\bin\ml /nologo /c TUT1.ASM
if errorlevel 1 goto errl
\masm32\bin\ml /nologo /c TUT2.ASM
if errorlevel 1 goto errl

echo.
echo Linking Object files
echo.
echo  Linking: TUT1.exe
\masm32\bin\link16 /nologo TUT1.obj CEQUIV.obj, TUT1.EXE,,,,
if errorlevel 1 goto errl
echo  Linking: TUT2.exe
\masm32\bin\link16 /nologo TUT2.obj CEQUIV.obj, TUT2.EXE,,,,
if errorlevel 1 goto errl

echo.
echo Build Successful
echo.
del *.obj
del *.map
rem copy *.exe ..\..\bin
goto endl

:errl
echo.
echo There was an error during the build process
echo.

:endl
pause
